NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
NeuralEngine::MachineLearning::HiddenLayerDescription Class Reference

Description of the layer. More...

`#include <FgIModel.h>`

Collaboration diagram for NeuralEngine::MachineLearning::HiddenLayerDescription:
[legend]

## Public Member Functions
| HiddenLayerDescription (int numPseudos, int numHiddenDimensions)
| Constructor. More...
int | GetNumPseudoInputs ()
| Gets number pseudo inputs. More...
int | GetNumHiddenDimensions ()
| Gets number hidden dimensions. More...

## Private Member Functions
template<class Archive >
void | serialize (Archive &ar, unsigned int version)

## Private Attributes
int | iNumPseudos
int | iNumHidden

## Friends
class | boost::serialization::access

## Detailed Description

Description of the layer.

Hmetal T, 13/09/2019.

Definition at line 35 of file FgIModel.h.

## Constructor & Destructor Documentation

## ◆ HiddenLayerDescription() [1/2]

NeuralEngine::MachineLearning::HiddenLayerDescription::HiddenLayerDescription | ( | int | numPseudos,
|  | int | numHiddenDimensions
| ) |  |
| inline

Constructor.

Hmetal T, 13/09/2019.

Parameters

  numPseudos | Number of pseudo inputs.
  numHiddenDimensions | Number of hidden dimensions.

Definition at line 47 of file FgIModel.h.

## ◆ HiddenLayerDescription() [2/2]

NeuralEngine::MachineLearning::HiddenLayerDescription::HiddenLayerDescription | ( |  | ) |
| inline

Definition at line 53 of file FgIModel.h.

## Member Function Documentation

## ◆ GetNumPseudoInputs()

int NeuralEngine::MachineLearning::HiddenLayerDescription::GetNumPseudoInputs | ( |  | ) |
| inline

Gets number pseudo inputs.

Hmetal T, 13/09/2019.

Returns
  The number pseudo inputs.

Definition at line 66 of file FgIModel.h.

## ◆ GetNumHiddenDimensions()

int NeuralEngine::MachineLearning::HiddenLayerDescription::GetNumHiddenDimensions | ( |  | ) |
| inline

Gets number hidden dimensions.

Hmetal T, 13/09/2019.

Returns
  The number hidden dimensions.

Definition at line 75 of file FgIModel.h.

## ◆ serialize()

template<class Archive >

void NeuralEngine::MachineLearning::HiddenLayerDescription::serialize | ( | Archive & | ar,
|  | unsigned int | version
| ) |  |
| inline private

Definition at line 84 of file FgIModel.h.

## Friends And Related Function Documentation

## ◆ boost::serialization::access

friend class boost::serialization::access
| friend

Definition at line 81 of file FgIModel.h.

## Member Data Documentation

## ◆ iNumPseudos

int NeuralEngine::MachineLearning::HiddenLayerDescription::iNumPseudos
| private

Definition at line 78 of file FgIModel.h.

## ◆ iNumHidden

int NeuralEngine::MachineLearning::HiddenLayerDescription::iNumHidden
| private

Definition at line 79 of file FgIModel.h.

The documentation for this class was generated from the following file:

- FgIModel.h